TAAS - Feature #27

Chart Of Account
08/23/2022 11:23 AM - Anil KV

Status: New Changes Start date: 08/23/2022
Priority: Normal Due date: 08/31/2022
Assignee: Vivekp V % Done: 50%
Category: Estimated time: 40:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Chart Of Account

Description

Coding Chart Of Account

History

#1 - 08/25/2022 10:30 AM - Anil KV

- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Assignee changed from Jinu KT to Anil KV

#2 - 08/29/2022 05:13 PM - Anil KV
- Assignee changed from Anil KV to Muhasin PU

CREATE TABLE accounts.tbl_chart_of_ac/(
pk_chart_of_ac_id BIGSERIAL PRIMARY KEY,

fk_account_id BIGINT NULL REFERENCES accounts.tbl_account (pk_account_id),

vhr_code VARCHAR (30) NOT NULL,
vhr_mapping_code VARCHAR(100) NULL,
vhr_reference_no VARCHAR(100) NULL,
vhr_name VARCHAR(150) NOT NULL,
vhr_display_name VARCHAR (150) NULL,

txt_remarks TEXT DEFAULT '',

sin_chart_of_ac_category SMALLINT DEFAULT 0,--*1
sin_chart_of_ac_type SMALLINT DEFAULT 0,--*2
sin_main_ledger_category SMALLINT DEFAULT -1,--*3
sin_default_main_ledger SMALLINT DEFAULT O,

fk_parent_chart_of_ac_id BIGINT NULL,
sin_record_status SMALLINT DEFAULT 1,
sin_order SMALLINT DEFAULT O

) INHERITS (tbl_action_user_and_date_time);

-—-ALTER TABLE accounts.tbl_account ADD CONSTRAINT tbl_account_fk_parent_chart_of_ac_id_fkey FOREIGN KEY (fk_par
ent_chart_of_ac_id) REFERENCES accounts.tbl_chart_of_ac (pk_chart_of_ac_id);

-—*1 -> 1 = Assets

—_— 2 = Liabilities

. 3 = Revenues (Income)

== 4 = Expenses
0 = Category
1 = Group
2 = Main ledger

3 = Ledger/Leaf => NOT COME HERE because its keep in account

-1 = No Main Ledger

0 = Other

Cash

= Petty Cash

UPI Accounts

Virtual Card

Agency Credit Card

= Customer Credit Card
Agency Corprate Card
Customer Corprate Card

9 = Bank Account

10 = Received Current Cheques
11 = Received PD Cheques

12 = Payable Current Cheques
13 = Payable PD Cheques

14 = Customer

0 J oUW N
Il

15 = Supplier

16 = Employee

17 = Commission Agent
18 = Airline

19 = Assets

#3 - 08/29/2022 05:14 PM - Anil KV

accounts.tbl_account

#4 - 08/29/2022 05:16 PM - Anil KV

CREATE TABLE accounts.tbl_account (

pk_account_id BIGSERIAL PRIMARY KEY,

vhr_account_code VARCHAR(30) NOT NULL,

(
vhr_mapping_code VARCHAR(100) NULL,
vhr_reference_no VARCHAR(100) NULL,
vhr_account_name VARCHAR(150) NOT NULL,
vhr_display_name VARCHAR(150) NULL,

fk_category_id BIGINT NULL REFERENCES accounts.tbl_grouping (pk_grouping_id),
fk_group_id BIGINT NULL REFERENCES accounts.tbl_grouping (pk_grouping_id),
fk_type_id BIGINT NULL REFERENCES accounts.tbl_grouping (pk_grouping_id),
fk_family_id BIGINT NULL REFERENCES accounts.tbl_grouping (pk_grouping_id),

fk_default_main_ledger_id BIGINT NULL,
fk_customer_main_ledger_id BIGINT NULL,
fk_supplier_main_ledger_id BIGINT NULL,
fk_commission_agent_main_ledger_id BIGINT NULL,

vhr_default_currency_code VARCHAR(3),

art_currency_codes VARCHAR (3) ARRAY,

sin_ac_category SMALLINT DEFAULT 0, --*1
sin_if_customer SMALLINT DEFAULT O,

sin_if supplier SMALLINT DEFAULT O,

sin_if_ commission_agent SMALLINT DEFAULT O,

sin_if_ sys_account SMALLINT DEFAULT 0, --*4
sin_permission_to_all SMALLINT DEFAULT 1, --*5
ari_permitted_user_roles SMALLINT ARRAY,--6

sin_sys_ac_type SMALLINT DEFAULT

txt_remarks TEXT DEFAULT '',

txt_message TEXT DEFAULT '', --*3

arb_fk_branch_ids BIGINT ARRAY,
arb_fk_service_ids BIGINT ARRAY,

vhr_phone VARCHAR(100) DEFAULT '
vhr_email VARCHAR(100) DEFAULT '
vhr_address VARCHAR (300) DEFAULT
vhr_display_address VARCHAR (300)
fk_approval_user_id BIGINT REFERENCES authentication.tbl_user (pk_user_id),
dtm_approval TIMESTAMP WITH TIME ZONE NULL,
sin_approvel_status SMALLINT DEFAULT 1, --DBHelpO_9

sin_record_status SMALLINT DEFAULT 1, --DBHelpO_4
sin_order SMALLINT DEFAULT 0

——CHECK (fk_parent_chart_of_ac_id IS NOT NULL AND (sin_ac_type = 1 OR sin_ac_type = 2 OR sin_ac_type = 3 O
R sin_ac_type = 4)),
——CHECK (fk_parent_chart_of_ac_id IS NULL AND (sin_ac_type != 1 OR sin_ac_type != 2 OR sin_ac_type != 3 OR
sin_ac_type != 4))

) INHERITS (tbl_action_user_and date_time);

-—*1 -> 0 = Other

= Assets->Ledger/Leaf (Chart of AC)

= Liabilities->Ledger/Leaf (Chart of AC)

= Revenues (Income) ->Ledger/Leaf (Chart of AC)
= Expense->Ledger/Leaf (Chart of AC)

|
[
=W N

== 5 = Cash Accounts

== 6 = Petty Cash Accounts

== 7 = UPI Accounts

. 8 = Virtual Card

== 9 = Agency Credit Card Accounts

== 10 = Customer Credit Card Accounts
== 11 = Agency Corp. Card Accounts

== 12 = Customer Corp. Card Accounts
== 13 = Bank Accounts

== 14 = Current Cheque Received Accounts
== 15 = PDC Received Accounts

== 16 = Current Cheque Issued Accounts

== 17 = PDC Issued Accounts

== 18 = Client/Debtor Accounts

== 19 = Supplier/Creditor Accounts

== 20 = Employee Accounts

== 21 = Commission Agent Accounts

== 22 = Airline Accounts

. 23 = Asset Master Accounts

——*3 -> The message showing in Sales and RefundGUI - choose the client then
-—*4 -> Date Control Account, Branch Control Account etc...

—=*5 —-> *6 all ON(ari_permitted_user_roles) then 1 Other wise 0 then use based on User wise permission
—-—*6 —-> This data based Tick or Untick USER GROUP and USER GUI ACCOUNT tab
—-—=*7 —=> 1=Individual

== 2=Corporate

== 3=Other Agency (B2B)

== 4=General Accounts

-——*8 -> *1 = 1,2,3 & 4 case the filed is mandatory

—-—*9 -> Supplier Only

#5 - 08/29/2022 05:56 PM - Anil KV
- File deleted (1-CsModel.cs)

#6 - 08/29/2022 05:56 PM - Anil KV
- File deleted (2-tsModel.ts)

#7 - 08/29/2022 05:56 PM - Anil KV
- File deleted (3-CsFile.cs)

#8 - 08/29/2022 05:56 PM - Anil KV
- File deleted (4-CsControllerFile.cs)

#9 - 08/29/2022 05:56 PM - Anil KV
- File deleted (6-HtmiFile.html)

#10 - 08/29/2022 05:56 PM - Anil KV
- File deleted (5-TsFile.ts)

#11 - 08/29/2022 05:56 PM - Anil KV
- File deleted (sql.sql)
#12 - 08/29/2022 05:58 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#13 - 08/29/2022 06:53 PM - Anil KV

public lstAccountStatus: any[] = [

{ "intAcStatusId": -1, "strAcStatus": "Rejected(Not Active)", "blnDisable": false, "blnActive": false, "st
rRemarks": "Rerquest or Delete" },

{ "intAcStatusId": 0, "strAcStatus": "Not Active (Need Approval)", "blnDisable": false, "blnActive": false,

"strRemarks": "Need Approval" 1},

{ "intAcStatusId": 1, "strAcStatus": "Active", "blnDisable": false, "blnActive": true, "strRemarks": "" },

{ "intAcStatusId": 2, "strAcStatus": "Active (Via Approval)", "blnDisable": false, "blnActive": true, "strR
emarks": ""},

{ "intAcStatusId": 3, "strAcStatus": "Blocked", "blnDisable": false, "blnActive": false, "strRemarks": "Al
ready used then connot delete, So use BLOCK option -> Allowed ACTIVE"},

{ "intAcStatusId": 4, "strAcStatus": " Closed", "blnDisable": false, "blnActive": false, "strRemarks": "Al
ready used then connot delete, So use CLOSE option -> Not allowed ACTIVE" },

{ "intAcStatusId": 5, "strAcStatus": "Debit Side Blocked", "blnDisable": false, "blnActive": false, "strRe
marks": "" },

{ "intAcStatusId": 6, "strAcStatus": " Credit Side Blocked", "blnDisable": false, "blnActive": false, "str
Remarks": "" }

17
public lstAccountGroupingTypes: any([] = [{ "intId": 0, "strLabel": "Category", "blnDisable": false, "blnActi

ve": true, "strRemarks": "" },

{ "intId": 1, "strLabel": "Group", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 2, "strLabel": "Type", "blnDisable": false, "blnActive": false, "strRemarks": "" },

{ "intId": 3, "strLabel": "Family", "blnDisable": false, "blnActive": false, "strRemarks": "" }];

public lstAcOwnCategory: any[] = [

{ "intId": 0, "strLabel": "Other", "blnDisable": true, "blnActive": false, "strRemarks": "" },
{ "intId": 1, "strLabel": "Ledger (Assets)", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 2, "strLabel": "Ledger (Liabilities)", "blnDisable": false, "blnActive": false, "strRemarks": ""
}I
{ "intId": 3, "strLabel": "Ledger (Revenues)", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 4, "strLabel": "Ledger (Expense)", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 5, "strLabel": "Cash Accounts", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 6, "strLabel": "Petty Cash Accounts", "blnDisable": false, "blnActive": false, "strRemarks": ""
by
{ "intId": 7, "strLabel": "UPI Accounts", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 8, "strLabel": "Virtual Card", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 9, "strLabel": "Agency Credit Card Accounts", "blnDisable": false, "blnActive": false, "strRema
rkS": nn }’
{ "intId": 10, "strLabel": "Customer Credit Card Accounts", "blnDisable": false, "blnActive": false, "strR
emarks": "" },
{ "intId": 11, "strLabel": "Agency Corp.Card Accounts", "blnDisable": false, "blnActive": false, "strRemar
ks": "voy,
{ "intId": 12, "strLabel": "Customer Corp.Card Accounts", "blnDisable": false, "blnActive": false, "strRem
arkS": nn }’
{ "intId": 13, "strLabel": "Bank Accounts", "blnDisable": false, "blnActive": false, "strRemarks": "" },
{ "intId": 14, "strLabel": "Current Cheque Received Accounts", "blnDisable": false, "blnActive": false, "s
trRemarks": "" },
{ "intId": 15, "strLabel": "PDC Received Accounts", "blnDisable": false, "blnActive": false, "strRemarks":
nn },
{ "intId": 16, "strLabel": "Current Cheque Issued Accounts", "blnDisable": false, "blnActive": false, "str
Remarks": "" },
{ "intId": 17, "strLabel": "PDC Issued Accounts", "blnDisable": false, "blnActive": false, "strRemarks": "
" }I
{ "intId": 18, "strLabel": "Client/Debtor Accounts", "blnDisable": false, "blnActive": false, "strRemarks"
nn }
{ "intId": 19, "strLabel": "Supplier/Creditor Accounts", "blnDisable": false, "blnActive": false, "strRema
rks": """,
{ "intId": 20, "strLabel": "Employee Accounts", "blnDisable": false, "blnActive": false, "strRemarks": ""
}I
{ "intId": 21, "strLabel": "Commission Agent Accounts", "blnDisable": false, "blnActive": false, "strRemar
ks":
{

}I
"intId": 22, "strLabel":
{

}

"intId": 23, "strLabel":

17

public lstAcOwnType: anyl[] =
{ "intId": 1, "strLabel":
{ "intId": 2, "strLabel":
{ "intId": 3, "strLabel":
r
{ "intId": 4, "strLabel":

public lstChartOfAcOwnCatego

{ "intId": 1, "strLabel":

{ "intId": 2, "strLabel":
}I

{ "intId": 3, "strLabel":

{ "intId": 4, "strLabel":

17

public lstChartOfAcOwnType:
{ "intId": 0, "strLabel":
{ "intId": 1, "strLabel":
{ "intId": 2, "strLabel":
{ "intId": 3, "strLabel":

’

17

public lstMlOwnCategory: any
{ "intId": -1, "strLabel":
{ "intId": 0, "strLabel":
{ "intId": 5, "strLabel":
{ "intId": 6, "strLabel":
}I
{ "intId": 7, "strLabel":
{ "intId": 8, "strLabel":
{ "intId": , "strLabel":
rks": "" },
{ "intId": 10, "strLabel":
emarks": "" },
{ "intId": 11, "strLabel":
ks": "" },
{ "intId": 12, "strLabel":
arks": "" },
{ "intId": 13, "strLabel":
{ "intId": 14, "strLabel":
trRemarks": "" },
{ "intId": 15, "strLabel":
" }I
{ "intId": 16, "strLabel":
Remarks": "" 1},
{ "intId": 17, "strLabel":
" }I
{ "intId": 18, "strLabel":
" }I
{ "intId": 19, "strLabel":
rks": "" },
{ "intId": 20, "strLabel":
}I
{ "intId": 21, "strLabel":
ks": "" },
{ "intId": 22, "strLabel":
{ "intId": 23, "strLabel":

17

}

#14 - 08/29/2022 06:56 PM - Anil KV

"Airline Accounts", "blnDisable": false, "blnActive": false, "strRemarks":

}

"Asset Master Accounts", "blnDisable": false, "blnActive": false, "strRemarks":

l

"Individual", wn

"blnDisable":
"blnDisable": false,
"blnDisable":

"blnActive":
"blnActive": false,
false, "blnActive":

false, false, "strRemarks":

}I
"strRemarks": Fo
false, "strRemarks":

"Corporate",
"Other Agency (B2B)",

}

"General Accounts", "blnDisable": false, "blnActive": true, "strRemarks": ""

}I

ry: anyl[] [
"Ledger (Assets) ",

"Ledger (Liabilities)",

"blnDisable": false,
"blnDisable": false,

"blnActive": true, "strRemarks":

"blnActive":

o

"strRemarks": ""

false,

"blnDisable":
"blnDisable":

"blnActive":
"blnActive":

"Ledger (Revenues) ",
"Ledger (Expense) ",

false, "strRemarks":

false,

false,
false,

Yo
}

"strRemarks": ""

any [] [
"Category", "blnDisable": false, "blnActive": false,
"Group", "blnDisable": false, "blnActive": false,
"Main Ledger", "blnDisable": false, "blnActive":
"blnDisable": "blnActive":

o

"strRemarks":
noy

"strRemarks":
"strRemarks": ""
false,

}I

"Ledger", false, true, "strRemarks":

[] [

"No Main Ledger", "blnDisable":
"Other", "blnDisable": false,
"Cash Accounts", "blnDisable": false,
"Petty Cash Accounts", "blnDisable":

"strRemarks": ""

nn }’
"strRemarks": Fo
false, "strRemarks":

false, "blnActive": false,
"blnActive": true, "strRemarks":

"blnActive": false,
false, "blnActive":

e

nn
"UPI Accounts", "blnDisable": "
"Virtual Card", "blnDisable":
"Agency Credit Card Accounts",

false, "blnActive":
false, "blnActive":
"blnDisable":

false, "strRemarks":
false, "strRemarks":
"blnActive":

}I
o

"strRema

false, false,

"Customer Credit Card Accounts", "blnDisable": false, "blnActive": false, "strR

"Agency Corp.Card Accounts", "blnDisable": false, "blnActive": false, "strRemar

"Customer Corp.Card Accounts", "blnDisable": false, "blnActive": false, "strRem

"Bank Accounts", "blnDisable": false, "blnActive":

"Current Cheque Received Accounts", "blnDisable":

"strRemarks":
"blnActive":

false,
false,

o

false, "s

"PDC Received Accounts", "blnDisable": false, "blnActive": false, "strRemarks":

"Current Cheque Issued Accounts", "blnDisable": false, "blnActive": false, str

"PDC Issued Accounts", "blnDisable": false, "blnActive": false, "strRemarks":

"Client/Debtor Accounts", "blnDisable": false, "blnActive": false, "strRemarks"

"Supplier/Creditor Accounts", "blnDisable": false, "blnActive": false, "strRema

"Employee Accounts", "blnDisable": false, "blnActive": false, "strRemarks":

"Commission Agent Accounts", "blnDisable": false, "blnActive": false, "strRemar

"Airline Accounts", "blnDisable": false, "blnActive": false, "strRemarks": }

"Asset Master Accounts", "blnDisable": false, "blnActive": false, "strRemarks":

- Estimated time changed from 48:00 h to 40:00 h

#15 - 08/30/2022 02:59 PM - Anil KV
- File deleted (sql.sql)

#16 - 08/30/2022 03:00 PM - Anil KV
- File sql.sql added

#17 - 08/31/2022 09:47 AM - Muhasin PU
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#18 - 09/13/2022 01:46 PM - Anil KV

- File account.sql.txt added

#19 - 09/23/2022 09:57 AM - Muhasin PU
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#20 - 09/28/2022 10:08 AM - Muhasin PU
- Status changed from Coding Done to Particialy Coding Done
- % Done changed from 60 to 30

Chart of Account Delete --> Completed

#21 - 10/08/2022 01:59 PM - Muhasin PU
Default Ledger id updation in Account table pending...

After insertion of Chart of account --> update ChartOfAccountID in account table--> DefaultLedger (only for New insertion) ---> Completed

#22 - 10/11/2022 05:15 PM - Muhasin PU
Customer & Supplier Tab Pending

#23 - 12/07/2022 11:03 AM - Muhasin PU
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#24 - 12/07/2022 04:00 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.FIX BUGS ON EXPAND BUTTON
2.FIX ERROR ON AUTO GENERATION OF CODE

#25 - 12/08/2022 10:21 AM - Muhasin PU

e FIXED..

#26 - 12/08/2022 10:59 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 12/13/2022 05:36 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET BRANCH RED AND REQUIRED
2.SET AN ORDER IN SAVING PROCESS

05/03/2025
( ADD/EDIT-->NAME)

#28 - 12/14/2022 01:44 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Modified.

e New Category cannot select. (Disabled Category)
¢ By Adding a new ltem (type = Main Ledger)

e Branch Validation

¢ Add/Edit First show

#29 - 05/13/2023 05:33 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Main ledgers not allowed to move between Asset / Liabilities accounts To
Revenue /Expense accounts

#30 - 05/16/2023 10:02 AM - Muhasin PU
UPDATED.

e Parent Validation & Reordering Fixed.

#31 - 05/16/2023 10:03 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#32 - 06/22/2023 05:19 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Muhasin PU to Junaid M

- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

1.0n Mail ledger type the tick mark is not working 2.while selecting act as customer and supplier no info in the
table

#33 - 06/24/2023 07:21 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#34 - 07/11/2023 03:21 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD CODE WISE SEARCHING IN ACCOUNTS
2.DATA GOING OUT FROM THE FILES

#35 - 09/22/2023 02:23 PM - unnikannan S
unnikannan S wrote in #note-34:

ISSUE FOUNDED

1.ADD CODE WISE SEARCHING IN ACCOUNTS

2.DATA GOING OUT FROM THE FILES
3.ERROR WHILE DELETING LEDGER SHOWING US- Unable to cast object of type 'System.DBNull' to type 'System.String'.
#36 - 09/28/2023 03:05 PM - Junaid M
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#37 - 10/07/2023 03:54 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED 1.ERROR WHILE CHANGING A/C S LEDGER TO MAIN LEDGER AND UPDATE (Unable to cast object of type 'System.DBNull' to type
'System.String'.).

FIXED 2.CANT EDIT SUB GROUPS (DEPRECIATION).

FIXED 3.DATA NOT CLEARING WHILE SELECTING ADDRESS TO NEW.

FIXED 4.Ul OVER LAPPING WHILE CHOOSE ACT US CLIENT AND CHOOSE NEW.

#38 - 10/17/2023 03:06 PM - Anil KV
- Assignee changed from Junaid M to Vivekp V

#39 - 10/27/2023 04:17 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****

1.MISSING ASSET

#40 - 11/16/2023 05:54 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE Fixed

FIXED 1.ERROR WHILE CHANGING A/C S LEDGER TO MAIN LEDGER AND UPDATE (Unable to cast object of type 'System.DBNull' to type
'System.String'.).

FIXED 2.CANT EDIT SUB GROUPS (DEPRECIATION).

FIXED 3.DATA NOT CLEARING WHILE SELECTING ADDRESS TO NEW.

FIXED 4.Ul OVER LAPPING WHILE CHOOSE ACT US CLIENT AND CHOOSE NEW.

#41 - 11/20/2023 12:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.CANT EDIT/ADD/UPDATE DETAILS IN (CATEGORY,LEDGER,MAIN LEDGER)
2.CANT ADD BRANCH DETAILS AFTER CHANGING A ITEM TO MAIN LEDGER TO LEDGER OR GROUP
3.MISSING DATA WHILE ADDING COUNTRY IN LEDGER ADRESS TAB AND REFRESH

#42 - 11/28/2023 06:22 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE Fixed
1.CANT EDIT/ADD/UPDATE DETAILS IN (CATEGORY,LEDGER,MAIN LEDGER)

2.CANT ADD BRANCH DETAILS AFTER CHANGING A ITEM TO MAIN LEDGER TO LEDGER OR GROUP
3.MISSING DATA WHILE ADDING COUNTRY IN LEDGER ADDRESS TAB AND REFRESH
#43 - 11/29/2023 04:06 PM - unnikannan S
TESTING DONE

#44 - 12/18/2023 06:17 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.RESTRICT DELETE IF GROUP HAS A CHILD

#45 - 12/18/2023 08:25 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE Fixed

1.RESTRICT DELETE IF GROUP HAS A CHILD cant restrict as one may need to delete a group so done validation where we ask as to are they sure
to delete that account as it may contain child accounts

#46 - 12/30/2023 03:17 PM - unnikannan S

ISSUE FOUNDED

1.CANT DELETE DEFAULT LEDGERS/MAINLEDGERS
#47 - 12/30/2023 06:13 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#48 - 01/01/2024 10:03 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CANT DELETE DEFAULT LEDGERS/MAINLEDGERS

#49 - 01/01/2024 05:29 PM - unnikannan S
TESTING DONE

#50 - 01/05/2024 06:03 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.HIDE MAIN LEDGER TYPE FIELD FROM CATEGORY,GROUP,LEDGER
#51 - 01/08/2024 11:51 AM - Vivekp V

ISSUE FIXED

1.HIDE MAIN LEDGER TYPE FIELD FROM CATEGORY,GROUP,LEDGER
#52 - 01/08/2024 11:51 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED
1.HIDE MAIN LEDGER TYPE FIELD FROM CATEGORY,GROUP,LEDGER

#53 - 01/08/2024 11:58 AM - unnikannan S
TESTING DONE

#54 - 02/10/2024 04:39 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#55 - 02/20/2024 11:48 AM - Junaid M
GUI CHANGES

-> Add 'Assets Main Ledger' in Main ledger Selectbox

#56 - 02/28/2024 06:55 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A PARTY
(Discuss With Anil Sir for Changes )

#57 - 02/29/2024 01:08 PM - unnikannan S
TESTING DONE

#58 - 03/01/2024 12:28 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI CHANGES

1) Add Account Group Widgets after Main ledger (Only Visible if Type=Ledger)
2) Ask junaid for add db fields

#59 - 03/11/2024 06:47 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

GUI CHANGES Done

1) Add Account Group Widgets after Main ledger (Only Visible if Type=Ledger)

#60 - 05/03/2024 03:14 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Block Main Ledger Type Change And Update In Case The Saved Main Ledger Is Associated With Any Master Acounts
FIXED 2.Error While Clearing Precision,Grace Period And Update On Act As Client Customer Tab

#61 - 05/08/2024 07:55 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Block Main Ledger Type Change And Update In Case The Saved Main Ledger Is Associated With Any Master Acounts
FIXED 2.Error While Clearing Precision,Grace Period And Update On Act As Client Customer Tab

#62 - 05/09/2024 12:40 PM - unnikannan S
TESTING DONE

#63 - 06/05/2024 11:56 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Missing Of Default Currency In Ledgers

#64 - 06/05/2024 03:33 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Missing Of Default Currency In Ledgers

#65 - 06/05/2024 05:57 PM - unnikannan S
TESTING DONE

#66 - 06/07/2024 01:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Block Deletion Of Main Ledger In Case Any Account Saved With The Main Ledger

#67 - 06/07/2024 02:22 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Block Deletion Of Main Ledger In Case Any Account Saved With The Main Ledger

#68 - 06/07/2024 05:21 PM - unnikannan S
TESTING DONE

#69 - 06/27/2024 10:07 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Error While Adding Blank Option in Reco Type

#70 - 06/27/2024 12:05 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Error While Adding Blank Option in Reco Type

#71 - 07/05/2024 06:16 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error On Deletion

#72 - 07/08/2024 09:43 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Error On Deletion ADDED SP IN GROUP

#73 - 07/09/2024 11:25 AM - unnikannan S
TESTING DONE

#74 - 07/18/2024 05:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Edit Bugs On Group Category

#75 - 07/18/2024 07:09 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Edit Bugs On Group Category

#76 - 07/19/2024 09:41 AM - unnikannan S
TESTING DONE

#77 - 07/26/2024 04:04 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI Changes

Up On Checking Act As Client & Act As Supplier

Customer & Supplier Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1
Customer & Supplier Tab -> Add Blue Star and Title to Bill Submission.

#78 - 07/29/2024 02:12 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

GUI Changes DONE

Up On Checking Act As Client & Act As Supplier

05/03/2025 12/15



Customer & Supplier Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1
Customer & Supplier Tab -> Add Blue Star and Title to Bill Submission.

#79 - 08/02/2024 10:31 AM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Allow Deletion Of Accounts Its Not Used In Any Documents As A Act As Supplier/Customer

#80 - 08/02/2024 10:38 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Allow Deletion Of Accounts Its Not Used In Any Documents As A Act As Supplier/Customer

#81 - 08/02/2024 06:29 PM - unnikannan S
TESTING DONE

#82 - 08/07/2024 03:09 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI Change

Customer Tab and Supplier Tab (While checking "Act As Client and Supplier") -> Change in Bill Submission While Change in Payment Terms (Refer
Payment Terms)

#83 - 08/08/2024 05:47 PM - Junaid M
Coa Print DONE

Columns=> Chart of account | Code(Hide) | Name(Hide) | Type(Hide) | Category(Hide)

Chart of account: Code::Name

Type: Category, Group, Main ledger, Ledger

Category: Asset, Liabilty, Income, Expense

*Refer trial balance print [using ---- symbol for tree style]

#84 - 09/09/2024 04:29 PM - unnikannan S

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1.Add Attachment Button For Ledger Accounts
2.Should be on edit mode when redirected from Account search

#85 - 09/24/2024 01:24 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Add Attachment Button For Ledger Accounts
2.Should be on edit mode when redirected from Account search

#86 - 11/15/2024 06:55 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#87 - 01/09/2025 04:36 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

1. Add a + button on the top left after save order button. Title: Add new category.

2. When click this the data entry field should be same as an edit mod of an already saved category.

3. In that after type add another field, Mapping Category: --(this field should appear only if the type is category)
-- select box - Asset, Liability, Revenues, Expense

nb: mapping category and parent shouldn't be same.

4. Note: Add according changes in the trial balance, profit and loss report and balance sheet.

5. Add title for Act as customer, Act as supplier checkbox fields.

Fields in Db

sin_chart_of_ac_sub_category SMALLINT DEFAULT 0,--*1.1
sin_is_dynamic_category SMALLINT DEFAULT 0,-- Add via Chart of Account GUI 1=Dynamic

#88 - 03/06/2025 06:21 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FIXED

1. THE TYPE SHOULD BE ABLE TO CHANGE FROM LEDGER TO MAIN LEDGER AND VICE VERSA: ASK A CONFIRMATION MESSAGE,
VALIDATE THE CHANGE WE HAVE USED THE ACCOUNT IN TRANSACTION MODULES.

#89 - 03/07/2025 12:14 PM - Vivekp V

- Status changed from Reopen Bugs to New Changes

#90 - 03/07/2025 04:34 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FIXED

1. Can't change the type from main ledger to ledger even though the associated records are deleted.--same issue in reverse case also (ledger
changed to main ledger after deleting the document)
2. A main ledger which is changed to ledger is not loading in account fields.

#91 - 03/07/2025 04:57 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#92 - 03/07/2025 06:54 PM - Vivekp V
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#93 - 03/10/2025 05:05 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FIXED

1. Can't delete a ledger that is converted (from main ledger to ledger) --viceversa

#94 - 03/11/2025 10:23 AM - Vivekp V

- Status changed from Reopen Bugs to New Changes

Files
